
//============================================================
#ifndef _STRUCTURE_H_
#define _STRUCTURE_H_
//============================================================
//pozemne nepriatelske budovy

//kedy po zostreleni zmizne
#define Structure_DestroyTime 45000.0f

//-------------------------------------------------------------
// Name: STRUCTURE class
// Desc: aktvivne objekty - daju sa znicit
//-------------------------------------------------------------
class STRUCTURE
{
private:

public:

	//matica a pozicia
	VECTOR3D Pos;
	VECTOR3D Rot;
	D3DXMATRIX Matrix;

	//model
	int ModelIndex;
	int Life;

	//aktivacia particle
	bool Active;
	float ActiveTime;

	//ci je hlavny ciel
	bool Target;

	//ci je priatelsky
	bool Friendly;

	//mody
	bool Normal;
	bool Destroyed;

	//vybusne body
	int NumSmokePoints;
	VECTOR3D SmokePoint[4];
	VECTOR3D TransformSmokePoint[4];

	//obecne funkicie
	void Initialize();
	void Reset();
	void Refresh();

	//kolizia
	bool CollisionDetail(VECTOR3D P1, VECTOR3D P2);
	bool CollisionBox(VECTOR3D P1, VECTOR3D P2);


};


//============================================================
#endif // _STRUCTURE_H_